%define upstream_name    Games-Solitaire-Verify
%define upstream_version 0.1701

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Process and verify solitaire games
License:    MIT
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a CPAN Perl module that verifies the solutions of various variants
of card Solitaire. It does not aim to try to be a solver for them, because
this is too CPU intensive to be adequately done using perl5 (as of
perl-5.10.0). If you're interested in the latter, look at:

* * http://fc-solve.berlios.de/

* * http://fc-solve.berlios.de/links.html#other_solvers

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc COPYING Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/verify-solitaire-solution
%{_bindir}/expand-solitaire-multi-card-moves
%{_mandir}/man1/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.170.100-2.mga6
+ Revision: 1027656
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.170.100-1.mga6
+ Revision: 989819
- update to 0.1701

* Sat Feb 27 2016 shlomif <shlomif> 0.170.0-1.mga6
+ Revision: 980011
- New version 0.1700

* Mon Jan 04 2016 shlomif <shlomif> 0.160.100-1.mga6
+ Revision: 919567
- update to 0.1601

* Thu Jun 25 2015 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 843160
- update to 0.1400

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-3.mga5
+ Revision: 744237
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 17 2014 shlomif <shlomif> 0.130.0-1.mga5
+ Revision: 623261
- update to 0.1300

* Tue Feb 04 2014 shlomif <shlomif> 0.120.300-1.mga5
+ Revision: 581170
- update to 0.1203

* Sat Oct 19 2013 umeabot <umeabot> 0.120.100-2.mga4
+ Revision: 529118
- Mageia 4 Mass Rebuild

* Thu Jul 04 2013 shlomif <shlomif> 0.120.100-1.mga4
+ Revision: 450213
- update to 0.1201

* Wed May 29 2013 shlomif <shlomif> 0.110.300-1.mga4
+ Revision: 432417
- update to 0.1103

* Sun Jan 13 2013 umeabot <umeabot> 0.110.200-2.mga3
+ Revision: 367625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 14 2012 shlomif <shlomif> 0.110.200-1.mga3
+ Revision: 293900
- update to 0.1102

* Mon Sep 10 2012 shlomif <shlomif> 0.110.100-2.mga3
+ Revision: 291989
- New version/rel 0.1101-2
- New version 0.1101

* Fri Dec 16 2011 shlomif <shlomif> 0.100.0-1.mga2
+ Revision: 182820
- Correct the licence to MIT.
- imported package perl-Games-Solitaire-Verify


* Tue Dec 06 2011 cpan2dist 0.1000-1mga
- initial mageia release, generated with cpan2dist
